require "import"
import "androlua.*"
import "luajava.*"

-- Randomly determine the strategy
local rand_strategy = math.random()

local min, max
if rand_strategy < 0.2 then
    -- Collapse into range [0-6]
    min = 0
    max = 6
elseif rand_strategy < 0.4 then
    -- Collapse into range [2-5]
    min = 2
    max = 5
elseif rand_strategy < 0.6 then
    -- Collapse into specific values
    local options = {3, 5}
    min = options[math.random(1, #options)]
    max = min
elseif rand_strategy < 0.8 then
    -- Collapse into pairs like [6, 4] or [4, 2]
    local pairs = {{6, 4}, {4, 2}, {6, 2}}
    local choice = pairs[math.random(1, #pairs)]
    min = choice[1]
    max = choice[2]
else
    -- Completely random range
    min = math.random(0, 3)
    max = math.random(4, 6)
end

-- Generate a random number within the chosen range
local r = Math.random() * (max - min + 1) + min
r = math.floor(r)

-- Simulated behavior logic
local s = "" .. r
if service.click({{s,}}) then
    return true
end